Bug 214687 - PlgSSL_Transport instance has no attribute '_use_datetime'
PlgSSL_Transport instance has no attribute '_use_datetime'
Product: Fedora
Classification: Fedora
Component: plague (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-11-08 16:08 EST by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-18 10:41:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Hack which solves the problem for me (598 bytes, patch)
2006-11-08 16:42 EST, Robert Scheck
no flags Details | Diff
Invoke PlgSSL_Transport's parent constructor (620 bytes, patch)
2006-12-15 19:30 EST, Toshio Kuratomi
no flags Details | Diff
Initialize datetime only on python2.5+ (671 bytes, patch)
2006-12-17 12:20 EST, Toshio Kuratomi
no flags Details | Diff

  None (edit)
Description Robert Scheck 2006-11-08 16:08:27 EST
Description of problem:
$ plague-client list
Traceback (most recent call last):
  File "/usr/bin/plague-client", line 420, in <module>
    cli = PlagueClient(os.path.expanduser(cfg_file))
  File "/usr/bin/plague-client", line 85, in __init__
  File "/usr/bin/plague-client", line 90, in _check_api_version
    server_ver = server.api_version()
  File "/usr/lib/python2.5/xmlrpclib.py", line 1147, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.5/xmlrpclib.py", line 1437, in __request
  File "/usr/lib/python2.5/xmlrpclib.py", line 1201, in request
    return self._parse_response(h.getfile(), sock)
  File "/usr/lib/python2.5/xmlrpclib.py", line 1324, in _parse_response
    p, u = self.getparser()
  File "/usr/lib/python2.5/xmlrpclib.py", line 1210, in getparser
    return getparser(use_datetime=self._use_datetime)
AttributeError: PlgSSL_Transport instance has no attribute '_use_datetime'

Version-Release number of selected component (if applicable):

How reproducible:
Everytime, see above.

Actual results:
PlgSSL_Transport instance has no attribute '_use_datetime'

Expected results:
A working plague-client would be suitable to me...
Comment 1 Robert Scheck 2006-11-08 16:42:27 EST
Created attachment 140719 [details]
Hack which solves the problem for me

I've got absolutely no matter, whether the attached patch is correct, but it
simply makes plague for me working again when using together with python 2.5.
Comment 2 Mamoru TASAKA 2006-12-11 01:10:52 EST
Yes, I also see this problem.

Currently rawhide python is python-2.5-2.fc7 and
only rebuilding plague- against python 2.5 does not
work for me.

Currently I apply the patch same with comment #1.
Without the patch, I cannot submit a queue to
Fedora Extras buildsys.
Comment 3 Toshio Kuratomi 2006-12-15 19:30:37 EST
Created attachment 143837 [details]
Invoke PlgSSL_Transport's parent constructor

Can you guys try this patch?  It essentially does the same thing that Robert's
patch does but in a more generic manner that should also protect against (some)
similar situations in the future.
Comment 4 Mamoru TASAKA 2006-12-16 10:44:53 EST
(In reply to comment #3)
> Created an attachment 
> Invoke PlgSSL_Transport's parent constructor
> Can you guys try this patch?

Yes, this patch (applied against works for me.
Comment 5 Toshio Kuratomi 2006-12-17 12:20:04 EST
Created attachment 143870 [details]
Initialize datetime only on python2.5+

Hi Dan,

I'm going to commit this patch to the devel branch of the Extras package.  I
think it's ready for you to take upstream.  I've added a check for the python
version to the last patch so it should work correctly on >= FC6 as well.
Comment 6 Toshio Kuratomi 2006-12-17 12:27:51 EST
Sorry Dan,  I just saw your message to Fedora-extras-list.  I'll let you judge
the patch for yourself and commit as you seem to be around to work on the issue :-)
Comment 7 Dan Williams 2006-12-17 12:47:34 EST
Patch looks good.  Committed to HEAD and STABLE_4 branches.  Feel free to update
the Extras packages.
Comment 8 Toshio Kuratomi 2006-12-17 13:44:10 EST
Built plague- for devel using the patch.
Comment 9 Mamoru TASAKA 2006-12-18 10:41:14 EST
plague- works for me.

Note You need to log in before you can comment on or make changes to this bug.